Skip to content

Domain Admins can use this request to retrieve a list of all Vaults currently in their domain.

GET/api/{version}/objects/domain
NameDescription
Content-Typeapplication/json
Acceptapplication/json (default) or application/xml
NameDescription
include_applicationTo include Vault application type information in the response, set include_application to true. If omitted, defaults to false and application information is not included.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v23.3/objects/domain?include_application=true
{ "responseStatus": "SUCCESS", "responseMessage": "Success", "domain__v": { "domain_name__v": "veepharm", "domain_type__v": "Test", "vaults__v": [ { "vault_name__v": "PromoMats", "vault_status__v": "Active", "vault_family__v": { "name__v": "commercial__v", "label__v": "Commercial" }, "id": 19523, "vault_application__v": "PromoMats" } ] } }
NameDescription
domain_name__vThe name of the domain containing the Vaults. This is unique to each customer and part of the DNS of each Vault.
domain_type__vThe type of domain (Production, Sandbox, Demo, or Test).
vault_name__vThe name of each Vault. This may be the same as the application or set to something unique.
vault_status__vThe current status of each Vault (Active or Inactive). Inactive Vaults are inaccessible.
vault_family__vContains information about the application family each Vault belongs to.
idThe system-managed numeric ID assigned to each Vault. This is the Vault ID (vault_id__v) required in some requests.
vault_application__vThe application of each Vault. This information only appears if the include_application query parameter is set to true.